********************************************************************/
*                                                                  */
*   Define the local queues for all Server/Adapter pairs.          */
*                                                                  */
*   For MQ queus, they must have the following definition:         */
*       Application = DEFINE QLOCAL (AP/AdapterName/ServerName)    */
*                                                                  */
*   Example:                                                       */
*                                                                  */
*   DEFINE QLOCAL(AP/JDBCConnector/local_hostname)                 */
*                                                                  */
*                                                                  */
*                                                                  */
*   Substitute local_hostname with your hostname as in the         */
*   InterchangeServer installation.                                */
*                                                                  */
*                                                                  */
********************************************************************/

    DEFINE QLOCAL(IC/local_hostname/JDBC_PROConnector)
    DEFINE QLOCAL(AP/JDBC_PROConnector/local_hostname)
    DEFINE QLOCAL(IC/local_hostname/PORTConnector)
    DEFINE QLOCAL(AP/PORTConnector/local_hostname)
    DEFINE QLOCAL(IC/local_hostname/JDBC_MSGConnector)
    DEFINE QLOCAL(AP/JDBC_MSGConnector/local_hostname)
    DEFINE QLOCAL(AP/WDI_MQConnector/local_hostname)
    DEFINE QLOCAL(IC/local_hostname/WDI_MQConnector)
    DEFINE QLOCAL(AP/Collab_MQConnector/local_hostname)
    DEFINE QLOCAL(IC/local_hostname/Collab_MQConnector)
    DEFINE QLOCAL(AP/Legacy_MQConnector/local_hostname)
    DEFINE QLOCAL(IC/local_hostname/Legacy_MQConnector)
    DEFINE QLOCAL(AP/EmailConnector/local_hostname)
    DEFINE QLOCAL(IC/local_hostname/EmailConnector)

********************************************************************/
*
*   default values follow the convention:
*                 AdapterName/QueueName
********************************************************************/

    

    DEFINE QLOCAL(DIXMLIN)
    DEFINE QLOCAL(WDICONN.IN_PROGRESS)
    DEFINE QLOCAL(WDICONN.ERROR)
    DEFINE QLOCAL(WDICONN.ARCHIVE)
    DEFINE QLOCAL(WDICONN.UNSUBSCRIBED)
    DEFINE QLOCAL(WDICONN.REPLY)
    DEFINE QLOCAL(DIXMLOUT)
    DEFINE QLOCAL(COLLABCONN.IN_PROGRESS)
    DEFINE QLOCAL(COLLABCONN.ERROR)
    DEFINE QLOCAL(COLLABCONN.ARCHIVE)
    DEFINE QLOCAL(COLLABCONN.UNSUBSCRIBED)
    DEFINE QLOCAL(COLLABCONN.REPLY)
    DEFINE QLOCAL(COLLABCONN.OUT)
    DEFINE QLOCAL(LEGACYCONN.IN)
    DEFINE QLOCAL(LEGACYCONN.IN_PROGRESS)
    DEFINE QLOCAL(LEGACYCONN.ERROR)
    DEFINE QLOCAL(LEGACYCONN.ARCHIVE)
    DEFINE QLOCAL(LEGACYCONN.UNSUBSCRIBED)
    DEFINE QLOCAL(LEGACYCONN.REPLY) 
    DEFINE QLOCAL(LEGACYCONN.OUT)



********************************************************************/
*                                                                  */
*   Define the default CrossWorlds channel type                    */
*                                                                  */
********************************************************************/

    DEFINE CHANNEL(CHANNEL1) CHLTYPE(SVRCONN) TRPTYPE(TCP)

********************************************************************/
*                                                                  */
*   End of CrossWorlds MQSeries Object Definitions                 */
*                                                                  */
********************************************************************/

